/*==============================================================================*/
/*  Copyright (C) 2020, Heartland Data inc. All Rights Reserved.                */
/*                                                                              */
/*  Title  :   Data Writing Driver                                              */
/*  EventID:   Insert Kernelinfo Test Point                                     */
/*  AppVer :   DT+ Ver1.00`                                                    */
/*  FileID :   39b1                                                             */
/*  Version:   1.0                                                              */
/*  Author :   HLDC                                                             */
/*==============================================================================*/
#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <unistd.h>

#define DT_READ_BUFF_SIZE	4096
#define CONVERT_FILE		"/mnt/sdcard/Convert.DAT"	/* Customize */
#define DT_DRV		"/proc/dtproc"

int main(void)
{
	int fh = -1;
	FILE *fd = NULL;
	int len = 0, tmp = 0;
	char buff[DT_READ_BUFF_SIZE];

	memset(buff, 0x0, DT_READ_BUFF_SIZE); 

	fh = open(DT_DRV,O_RDWR);
	fd = fopen(CONVERT_FILE, "wb");

	if (fh > 0 && fd != NULL) {
		do {
			tmp = read(fh, buff, DT_READ_BUFF_SIZE);
			if (tmp > 0) {
				fwrite(buff, sizeof(char), tmp, fd);
				len += tmp;
			}
		} while (tmp > 0);
		printf ("\n >>>%d bytes saved.\n", len);

		fclose(fd);
		close(fh);
	}
	return len;
}
